Project Chrono: chrono::ChLoaderUdistributed Class Reference

Public Member Functions | List of all members
chrono::ChLoaderUdistributed Class Referenceabstract

## Description

Loader for ChLoadableU objects (which support line loads), for loads of distributed type.

These loads will undergo Gauss quadrature to integrate them on the line.

`#include <ChLoaderU.h>`

Inheritance diagram for chrono::ChLoaderUdistributed:
[legend]
Collaboration diagram for chrono::ChLoaderUdistributed:
[legend]

## Public Member Functions
| ChLoaderUdistributed (std::shared_ptr< ChLoadableU > mloadable)
virtual int | GetIntegrationPointsU ()=0
virtual void | ComputeQ (ChVectorDynamic<> *state_x, ChVectorDynamic<> *state_w) override
| Compute the generalized load Q = integral (N'*F*detJ du), using the ComputeF method.
Public Member Functions inherited from chrono::ChLoaderU
| ChLoaderU (std::shared_ptr< ChLoadableU > mloadable)
virtual void | ComputeF (double U, ChVectorDynamic<> &F, ChVectorDynamic<> *state_x, ChVectorDynamic<> *state_w)=0
| Evaluate F = F(u) for this line load.
void | SetLoadable (std::shared_ptr< ChLoadableU > mloadable)
virtual std::shared_ptr< ChLoadable > | GetLoadable () override
std::shared_ptr< ChLoadableU > | GetLoadableU ()
Public Member Functions inherited from chrono::ChLoader
virtual bool | IsStiff ()

## Additional Inherited Members
Public Attributes inherited from chrono::ChLoaderU
std::shared_ptr< ChLoadableU > | loadable
Public Attributes inherited from chrono::ChLoader
ChVectorDynamic | Q

## Member Function Documentation

## ◆ ComputeQ()

void chrono::ChLoaderUdistributed::ComputeQ | ( | ChVectorDynamic<> * | state_x,
|  | ChVectorDynamic<> * | state_w )
| overridevirtual

Compute the generalized load Q = integral (N'*F*detJ du), using the ComputeF method.

Parameters

  state_x | if != 0, update state (pos. part) to this, then evaluate Q
  state_w | if != 0, update state (speed part) to this, then evaluate Q

Implements chrono::ChLoader.

The documentation for this class was generated from the following files:

- D:/W/B/src/chrono-9.0.1/src/chrono/physics/ChLoaderU.h
- D:/W/B/src/chrono-9.0.1/src/chrono/physics/ChLoaderU.cpp